CMSIS-NN: arm_nn_softmax_common_s8.c File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_nn_softmax_common_s8.c File Reference

## Macros

#define | ACCUM_BITS

## Functions

void | arm_nn_softmax_common_s8 (const int8_t *input, const int32_t num_rows, const int32_t row_size, const int32_t mult, const int32_t shift, const int32_t diff_min, const bool int16_output, void *output)
| Common softmax function for s8 input and s8 or s16 output. More...

## Macro Definition Documentation

#define ACCUM_BITS

Referenced by arm_nn_softmax_common_s8().